Orishare
API reference
GET
/assets

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Query Parameters

limit?integer
Range1 <= value <= 200
Default50
cursor?string
Lengthlength <= 2048

Header Parameters

X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/assets"
{  "data": [    {      "id": "string",      "digest": "string",      "byte_length": 1,      "width": 1,      "height": 1,      "content_type": "image/png",      "created_at": "2019-08-24T14:15:22Z",      "public_url": "string"    }  ],  "next_cursor": "string",  "has_more": true}
POST
/assets

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Header Parameters

Idempotency-Key*string

Required. Official clients generate a UUID when omitted by the caller.

Length1 <= length <= 255
X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/assets" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "content_type": "image/png",    "bytes_base64": "iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAACklEQVR4nGMAAQAABQABDQottAAAAABJRU5ErkJggg=="  }'
{  "id": "string",  "digest": "string",  "byte_length": 1,  "width": 1,  "height": 1,  "content_type": "image/png",  "created_at": "2019-08-24T14:15:22Z",  "public_url": "string"}
GET
/assets/{id}

Authorization

AuthorizationBearer <token>

Secret API key bound to an environment.

In: header

Path Parameters

id*string
Length1 <= length

Header Parameters

X-Orishare-Environment?string

Required for selected-environment authorization branches; API keys use their bound environment.

Length1 <= length
X-Orishare-Audit-Reason?string

Required for staff authorization. Records the reason for staff access.

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/assets/string"
{  "id": "string",  "digest": "string",  "byte_length": 1,  "width": 1,  "height": 1,  "content_type": "image/png",  "created_at": "2019-08-24T14:15:22Z",  "public_url": "string"}
GET
/public_assets/{id}/{digest}

Path Parameters

id*string
Length1 <= length <= 255
digest*string
Length1 <= length <= 255

Response Body

image/png

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/public_assets/string/string"
"string"